###

###

###

###

###

###

###

    SETUID(2)           Linux Programmer's Manual           SETUID(2)

    NAME
           setuid - set user identity

    SYNOPSIS
           #include <unistd.h>

           int setuid(uid_t uid)

    DESCRIPTION
           setuid  sets the effective user ID of the current process.
           If the caller is the superuser, the real  and  saved  user
           ID's are also set.

           Under   Linux,   setuid  is  implemented  like  SYSV  with
           SAVED_IDS.  This allows a setuid (other than root) program
           to drop all of it's user privileges, do some un-privileged
           work, and then re-engage the original effective user ID in
           a secure manner.

           If the user is root or the program is setuid root, special
           care must be taken. The setuid function checks the  effec-
           tive  uid  of  the  caller and if it is the superuser, all
           process related user ID's are set to uid.  After this  has
           occurred,  it is impossible for the program to regain root
           privileges.

    RETURN VALUE
           On success, zero is returned.  On error, -1  is  returned,
           and errno is set appropriately.

    ERRORS
           EPERM   The  user  is not the super-user, and uid does not
                   match the effective or saved user ID of the  call-
                   ing process.

    CONFORMING TO
           System V

### SEE ALSO

getuid, setreuid, seteuid,

###

    Linux 1.1.36               29 July 1994                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0